std::hash<::vector< bool, _Alloc > > Struct Template Reference

`#include <stl_bvector.h>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const ::vector< bool, _Alloc > &) const noexcept

## Detailed Description

template<typename _Alloc>
struct std::hash<::vector< bool, _Alloc > >

std::hash specialization for vector<bool>.

Definition at line 1576 of file stl_bvector.h.

## Member Typedef Documentation

## argument_type

template<typename _Result , typename _Arg >

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result , typename _Arg >

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<typename _Alloc >

size_t std::hash<::vector< bool, _Alloc > >::operator() | ( | const ::vector< bool, _Alloc > & | __b | ) | const

noexcept

Definition at line 1009 of file vector.tcc.

The documentation for this struct was generated from the following files:

- stl_bvector.h
- vector.tcc